Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class BoundSheetRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.BoundSheetRecord

    public final class BoundSheetRecord

extends StandardRecord

Title: Bound Sheet Record (aka BundleSheet) (0x0085)

Description: Defines a sheet within a workbook. Basically stores the sheet name and tells where the Beginning of file record is within the HSSF file.

REFERENCE: PG 291 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Author:
  Andrew C. Oliver (acoliver at apache dot org), Sergei Kozello (sergeikozello at mail.ru)

Field Summary
`static short` | `sid`

Constructor Summary
`BoundSheetRecord(RecordInputStream in)` UTF8: sid + len + bof + flags + len(str) + unicode + str 2 + 2 + 4 + 2 + 1 + 1 + len(str) UNICODE: sid + len + bof + flags + len(str) + unicode + str 2 + 2 + 4 + 2 + 1 + 1 + 2 * len(str)
`BoundSheetRecord(java.lang.String sheetname)`

Method Summary
`int` | `getPositionOfBof()` get the offset in bytes of the Beginning of File Marker within the HSSF Stream part of the POIFS file
`java.lang.String` | `getSheetname()` get the sheetname for this sheet.
`short` | `getSid()` return the non static version of the id for this record.
`boolean` | `isHidden()` Is the sheet hidden? Different from very hidden
`boolean` | `isVeryHidden()` Is the sheet very hidden? Different from (normal) hidden
`static BoundSheetRecord[]` | `orderByBofPosition(java.util.List boundSheetRecords)` Converts a List of `BoundSheetRecord`s to an array and sorts by the position of their BOFs.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setHidden(boolean hidden)` Is the sheet hidden? Different from very hidden
`void` | `setPositionOfBof(int pos)` set the offset in bytes of the Beginning of File Marker within the HSSF Stream part of the POIFS file
`void` | `setSheetname(java.lang.String sheetName)` Set the sheetname for this sheet.
`void` | `setVeryHidden(boolean veryHidden)` Is the sheet very hidden? Different from (normal) hidden
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`clone, cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### BoundSheetRecord

    public BoundSheetRecord(java.lang.String sheetname)

### BoundSheetRecord

    public BoundSheetRecord(RecordInputStream in)

  UTF8: sid + len + bof + flags + len(str) + unicode + str 2 + 2 + 4 + 2 + 1 + 1 + len(str) UNICODE: sid + len + bof + flags + len(str) + unicode + str 2 + 2 + 4 + 2 + 1 + 1 + 2 * len(str)

Method Detail

### setPositionOfBof

    public void setPositionOfBof(int pos)

  set the offset in bytes of the Beginning of File Marker within the HSSF Stream part of the POIFS file

  Parameters:
    `pos` - offset in bytes

### setSheetname

    public void setSheetname(java.lang.String sheetName)

  Set the sheetname for this sheet. (this appears in the tabs at the bottom)

  Parameters:
    `sheetName` - the name of the sheet
  Throws:
    `java.lang.IllegalArgumentException` - if sheet name will cause excel to crash.
  See Also:
    `for a safe way to create valid names`

### getPositionOfBof

    public int getPositionOfBof()

  get the offset in bytes of the Beginning of File Marker within the HSSF Stream part of the POIFS file

  Returns:
    offset in bytes

### getSheetname

    public java.lang.String getSheetname()

  get the sheetname for this sheet. (this appears in the tabs at the bottom)

  Returns:
    sheetname the name of the sheet

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### isHidden

    public boolean isHidden()

  Is the sheet hidden? Different from very hidden

### setHidden

    public void setHidden(boolean hidden)

  Is the sheet hidden? Different from very hidden

### isVeryHidden

    public boolean isVeryHidden()

  Is the sheet very hidden? Different from (normal) hidden

### setVeryHidden

    public void setVeryHidden(boolean veryHidden)

  Is the sheet very hidden? Different from (normal) hidden

### orderByBofPosition

    public static BoundSheetRecord[] orderByBofPosition(java.util.List boundSheetRecords)

  Converts a List of `BoundSheetRecord`s to an array and sorts by the position of their BOFs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD